Subject: [PATCH] Upgrade linux-pam to 1.5.2
From: Felix Lechner <[email-masked]>
To: [email-masked]
Date: Thu, 2 Jun 2022 05:09:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Control: tags -1 + patch

Hi,

For my work in making PAM configurable in Guile, I rely on the foreign
function interface (FFI). The automatic generation of that interface
requires Pkgconfig files. Those files are not available in Guix.
Linux-PAM started shipping them in the release after the one we have.
The attached patch upgrades linux-pam to version 1.5.2.

The changes are further documented in the commit message.

I am new to Guix and already use the new version of linux-pam locally
(via Guix System) but I was unable to test the patch according to the
requirements and recommendations listed for this submission. [1]

This email was sent to -devel in lieu of -mentors, which does not
exist. Any guidance is much appreciated. Thanks for taking a look!

KInd regards
Felix Lechner

[1] https://guix.gnu.org/en/manual/devel/en/html_node/Submitting-Patches.html
From 592d8156014090fefe8b9b1da8cada6aa2fa120a Mon Sep 17 00:00:00 2001
From: Felix Lechner <[email-masked]>
Date: Tue, 31 May 2022 11:40:04 -0700
Subject: [PATCH] Update linux-pam to 1.5.2.

This version ships three Pkgconfig files for Linux-PAM that make it
possible to generate automatic FFI bindings via 'nyacc compile-ffi'.

The current PAM version in Guix offers no Pkgconfig files at all.
Upstream started shipping them in version 1.5.2.

The extra argument to ./configure is needed to sidestep an issue
upstream. [1]

[1] https://github.com/linux-pam/linux-pam/issues/466
---
 gnu/packages/linux.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 2af32fc88f..8a08a56bb4 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -1579,7 +1579,7 @@ (define-public xpadneo
 (define-public linux-pam
   (package
     (name "linux-pam")
-    (version "1.5.1")
+    (version "1.5.2")
     (source
      (origin
        (method url-fetch)
@@ -1588,7 +1588,7 @@ (define-public linux-pam
              version "/Linux-PAM-" version ".tar.xz"))
        (sha256
         (base32
-         "1z4jayf69qyyxln1gl6ch4qxfd66ib1g42garnrv2d8i1drl0790"))
+         "0kgrsj2scv5mx6w925h9hxf11jnqqs9z8s22aw94b90xm4qp3v74"))
        (patches (search-patches "linux-pam-no-setfsuid.patch"))))
 
     (build-system gnu-build-system)
@@ -1604,6 +1604,9 @@ (define-public linux-pam
        #:configure-flags (list (string-append "--includedir="
                                               (assoc-ref %outputs "out")
                                               "/include/security")
+                               (string-append "--libdir="
+                                              (assoc-ref %outputs "out")
+                                              "/lib")
 
                                ;; XXX: <rpc/rpc.h> is missing from glibc when
                                ;; cross-compiling, so we have to disable NIS

base-commit: 20432b839b6bc9e30c156d412597b734a726940d
-- 
2.36.1